Package org.apache.commons.compress.harmony.pack200

# Class SegmentHeader

java.lang.Object
org.apache.commons.compress.harmony.pack200.BandSet
org.apache.commons.compress.harmony.pack200.SegmentHeader

public class SegmentHeader extends BandSet
SegmentHeader is the header band of a `Segment`. Corresponds to `segment_header` in the pack200 specification.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `BandSet.BandAnalysisResults, BandSet.BandData`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `segmentHeader`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SegmentHeader()`
  Constructs a new SegmentHeader

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMajorVersion(int major)`
  `void`
  `appendBandCodingSpecifier(int specifier)`
  `int`
  `getArchive_modtime()`
  `int`
  `getDefaultMajorVersion()`
  `boolean`
  `have_all_code_flags()`
  `boolean`
  `have_class_flags_hi()`
  `boolean`
  `have_code_flags_hi()`
  `boolean`
  `have_field_flags_hi()`
  `boolean`
  `have_file_modtime()`
  `boolean`
  `have_file_options()`
  `boolean`
  `have_file_size_hi()`
  `boolean`
  `have_method_flags_hi()`
  `void`
  `pack(OutputStream out)`
  Encode and write the SegmentHeader bands to the OutputStream
  `void`
  `setAttribute_definition_count(int attribute_definition_count)`
  `void`
  `setClass_count(int class_count)`
  `void`
  `setCp_Class_count(int count)`
  `void`
  `setCp_Descr_count(int count)`
  `void`
  `setCp_Double_count(int count)`
  `void`
  `setCp_Field_count(int count)`
  `void`
  `setCp_Float_count(int count)`
  `void`
  `setCp_Imethod_count(int count)`
  `void`
  `setCp_Int_count(int count)`
  `void`
  `setCp_Long_count(int count)`
  `void`
  `setCp_Method_count(int count)`
  `void`
  `setCp_Signature_count(int count)`
  `void`
  `setCp_String_count(int count)`
  `void`
  `setCp_Utf8_count(int count)`
  `void`
  `setDeflate_hint(boolean deflate_hint)`
  `void`
  `setFile_count(int file_count)`
  `void`
  `setHave_all_code_flags(boolean have_all_code_flags)`
  `void`
  `setHave_class_flags_hi(boolean have_class_flags_hi)`
  `void`
  `setHave_code_flags_hi(boolean have_code_flags_hi)`
  `void`
  `setHave_field_flags_hi(boolean have_field_flags_hi)`
  `void`
  `setHave_method_flags_hi(boolean have_method_flags_hi)`
  `void`
  `setIc_count(int ic_count)`

  ### Methods inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `cpEntryListToArray, cpEntryOrNullListToArray, encodeBandInt, encodeFlags, encodeFlags, encodeScalar, encodeScalar, integerListToArray, longListToArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SegmentHeader

    public SegmentHeader()
    Constructs a new SegmentHeader

- ## Method Details

  - ### addMajorVersion

    public void addMajorVersion(int major)

  - ### appendBandCodingSpecifier

    public void appendBandCodingSpecifier(int specifier)

  - ### getArchive_modtime

    public int getArchive_modtime()

  - ### getDefaultMajorVersion

    public int getDefaultMajorVersion()

  - ### have_all_code_flags

    public boolean have_all_code_flags()

  - ### have_class_flags_hi

    public boolean have_class_flags_hi()

  - ### have_code_flags_hi

    public boolean have_code_flags_hi()

  - ### have_field_flags_hi

    public boolean have_field_flags_hi()

  - ### have_file_modtime

    public boolean have_file_modtime()

  - ### have_file_options

    public boolean have_file_options()

  - ### have_file_size_hi

    public boolean have_file_size_hi()

  - ### have_method_flags_hi

    public boolean have_method_flags_hi()

  - ### pack

    public void pack(OutputStream out) throws IOException, Pack200Exception
    Encode and write the SegmentHeader bands to the OutputStream
    Specified by:
      `pack` in class `BandSet`
    Parameters:
      `out` - TODO
    Throws:
      `IOException` - If an I/O error occurs.
      `Pack200Exception` - If a Pack200 semantic error occurs.

  - ### setAttribute_definition_count

    public void setAttribute_definition_count(int attribute_definition_count)

  - ### setClass_count

    public void setClass_count(int class_count)

  - ### setCp_Class_count

    public void setCp_Class_count(int count)

  - ### setCp_Descr_count

    public void setCp_Descr_count(int count)

  - ### setCp_Double_count

    public void setCp_Double_count(int count)

  - ### setCp_Field_count

    public void setCp_Field_count(int count)

  - ### setCp_Float_count

    public void setCp_Float_count(int count)

  - ### setCp_Imethod_count

    public void setCp_Imethod_count(int count)

  - ### setCp_Int_count

    public void setCp_Int_count(int count)

  - ### setCp_Long_count

    public void setCp_Long_count(int count)

  - ### setCp_Method_count

    public void setCp_Method_count(int count)

  - ### setCp_Signature_count

    public void setCp_Signature_count(int count)

  - ### setCp_String_count

    public void setCp_String_count(int count)

  - ### setCp_Utf8_count

    public void setCp_Utf8_count(int count)

  - ### setDeflate_hint

    public void setDeflate_hint(boolean deflate_hint)

  - ### setFile_count

    public void setFile_count(int file_count)

  - ### setHave_all_code_flags

    public void setHave_all_code_flags(boolean have_all_code_flags)

  - ### setHave_class_flags_hi

    public void setHave_class_flags_hi(boolean have_class_flags_hi)

  - ### setHave_code_flags_hi

    public void setHave_code_flags_hi(boolean have_code_flags_hi)

  - ### setHave_field_flags_hi

    public void setHave_field_flags_hi(boolean have_field_flags_hi)

  - ### setHave_method_flags_hi

    public void setHave_method_flags_hi(boolean have_method_flags_hi)

  - ### setIc_count

    public void setIc_count(int ic_count)